Subject: bug#66716: Reconcile display-fill-column-indicator-character behavior and customization description

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Oct 2023 15:31:21 +0300

> Date: Mon, 23 Oct 2023 14:23:06 -0700
> From:  Joseph Turner via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> AFAICT, setting display-fill-column-indicator-character to nil means
> that no fill indicator is displayed.

That's not true, AFAICT.  The default value is nil, but when you turn
on the mode, it modifies the value of the character to be either
U+2502 or '|'.

> This patch changes the customization description to match the
> current behavior.

I don't think the patch is correct.

> However, I like the behavior that's currently described in the
> customization option:
> 
> "If possible, use U+2502 to indicate fill column, otherwise use |"
> 
> What do folks think about changing the behavior of
> display-fill-column-indicator-character to match this description?

I don't understand the proposal.  We don't use U+2502 by default
because not all terminals support it.